<?php

include './core.php';

if($_REQUEST['day'])
{
	if(date("Y") == 2004 && date("m") == 12 && date("j") >= intval($_REQUEST['day']))
	{
		switch( intval($_REQUEST['day']) )
		{
			case 1:
				// $desc = "Ja was ist denn das? Ein Puzzle... jööö :) ";break;
				$desc = "Ja was ist denn das? Ein puzzle... jööö :)"; break;
			case 2:
				$desc = "Eine Vorschau auf die Möglichkeiten unseres neuen Clients - kleine Animationen, wesentlich einfacher möglich als bisher"; break;
			case 3:
				$desc = "Puzzleteil #2 ... was könnte das bloß sein ?"; break;
			case 4:
				$desc = "Ein Vergleich zwischen dem OSI-Client (rechts) und dem neuen Client für UO-Mittelerde von Varan (links)"; break;
			case 5:
				$desc = "Eine Vorschau auf ein im Moment von uns entwickeltes Maptool - UOTC (Ultima Online Terra Creare)"; break;
			case 6:
				$desc = "Die Totensümpfe"; break;
			case 7:
				$desc = "Konzept: mehr Möbel für ME :) Die Möbelsorten erhalten verschiedene Maserungen"; break;
			case 8:
				$desc = "Eines unserer Gumps"; break;
			case 9:
				$desc = "Wer hier genau hinschaut, bekommt einige unserer bis jetzt streng geheimen Konzept- und Skriptangelegenheiten zu sehen... aber psssst ;-)"; break;
			case 10:
				$desc = "Wir haben noch mehr davon... "; break;
			case 11:
				$desc = ""; break;
			case 12:
				$desc = ""; break;
			case 13:
				$desc = ""; break;
			case 14:
				$desc = "Ein Blick auf Eris Desktop und ein Vorgeschmack auf das Auenland..."; break;
			case 15:
				$desc = ""; break;
			case 16:
				$desc = ""; break;
			case 17:
				$desc = ""; break;
			case 18:
				$desc = ""; break;
			case 19:
				if($_REQUEST['accountid']=='1903') { 
					$desc = "= Maphupe(die Hupen habens Eri irgendwie angetan *g*)... Herzlichen Gl&uuml;ckwunsch zum EGM, Nacor! Und vielen Dank f&uuml;r alles, was du f&uuml;r diesen Shard leistet!";
				} elseif($_REQUEST['accountid']=='1924') {
					$desc = "= Technikhupe(meint zumindest Eri)... Herzlichen Gl&uuml;ckwunsch zum Elder Game Master, Varan! Von 'Verdient' zu reden w&auml;re eine Untertreibung. Ihr seid eine tolle Bereicherung und coole Hup... &auml;&auml;h Typen ;-)";
				}
				else {
					$desc = "Ein Entwurf für das Support- & Paginggump";
				}	
				break;
			case 20:
				$desc = ""; break;
			case 21:
				$desc = ""; break;
			case 22:
				$txt = file_get_contents( "images/advent04/askaian.html" ) ; break;
			case 23:
				$desc = "Ein Blick auf unsere Bautools und den ganzen Krimskrams den man beim bauen braucht..."; break;
			case 24:
				$desc = "Frohe Weihnachten wünscht der Staff von ME (Gelb=HP, Dunkelbraun=Script, Rot=Bau, Blau=Baucouncis, Schwarz=Mapping, Orange=Grafiker, Silber=Admins, Zwerg=Symbol für alle ehemaligen ME-Staffler )"; break;
		}

		$Smarty->assign('tuernum', intval($_REQUEST['day']));

		if(isset($desc))
		{
			$Smarty->assign('desc', $desc);		
			$page['content'] = $Smarty->fetch( 'advent_tuerchen_img.tpl' );
		}
		else
		{
			$Smarty->assign('txt', $txt);		
			$page['content'] = $Smarty->fetch( 'advent_tuerchen_txt.tpl' );
		}
		$Smarty->assign( 'page', $page );
		$Smarty->display( 'main_light.tpl' );
		die();
	}
	else
		$page['content'] = $Smarty->fetch( 'advent_nochnicht.tpl' );
}
elseif($_REQUEST['pic'])
{
	if(date("Y") == 2004 && date("m") == 12 && date("j") >= intval($_REQUEST['pic']))
	{
		switch( intval($_REQUEST['pic']) )
		{
			case 1:
				$url = "images/advent04/0.jpg"; break;
			case 2:
				$url = "images/advent04/client_kleineanims.jpg"; break;
			case 3:
				$url = "images/advent04/1.jpg"; break;
			case 4:
				$url = "images/advent04/transparenzvergleich.jpg"; break;
			case 5:
				$url = "images/advent04/uotc2.jpg"; break;
			case 6:
				$url = "images/advent04/totensumpf.jpg"; break;
			case 7:
				$url = "images/advent04/eri_moebel.jpg"; break;
			case 8:
				$url = "images/advent04/Dunedain01.jpg"; break;
			case 9:
				$url = "images/advent04/topsecret.jpg"; break;
			case 10:
				$url = "images/advent04/Dunedain02.jpg"; break;
			case 11:
				$url = "images/advent04/2.jpg"; break;
			case 12:
				$url = "images/advent04/3.jpg"; break;
			case 13:
				$url = "images/advent04/4.jpg"; break;
			case 14:
				$url = "images/advent04/eri_desktop.jpg"; break;
			case 15:
				$url = "images/advent04/5.jpg"; break;
			case 16:
				$url = "images/advent04/6.jpg"; break;
			case 17:
				$url = "images/advent04/7.jpg"; break;
			case 18:
				$url = "images/advent04/8.jpg"; break;
			case 19:
				if($_REQUEST['accountid']=='1903') { 
					$url = "images/advent04/nacor.jpg";	
				} elseif($_REQUEST['accountid']=='1924') {
					$url = "images/advent04/varan.jpg";
				}
				else {
					$url = "images/advent04/buss_spieler.jpg";
				}	
				break;
			case 20:
				$url = "images/advent04/adv21.jpg"; break;
			case 21:
				$url = "images/advent04/9.jpg"; break;
			case 23:
				$url = "images/advent04/23_bautools.jpg"; break;
			case 24:
				$url = "images/advent04/24_staffphoto.jpg"; break;
		}
		
		if(isset($url))
		{
			if(strstr($url,".jpg") || strstr($url,".jpeg"))
			{
				$img = imagecreatefromjpeg($url);
				imagejpeg($img);
			}
			die();
		}
	}
}
else
{
	$pkt = array();
	
	$pkt[0] = array();
	$pkt[1] = array(50,60,100,110);
	$pkt[2] = array($pkt[1][0]+80,60,$pkt[1][2]+80,110);
	$pkt[3] = array($pkt[2][0]+80,60,$pkt[2][2]+80,110);
	$pkt[4] = array($pkt[3][0]+80,60,$pkt[3][2]+80,110);
	$pkt[5] = array($pkt[4][0]+80,60,$pkt[4][2]+80,110);
	$pkt[6] = array($pkt[5][0]+80,60,$pkt[5][2]+80,110);
	$pkt[7] = array($pkt[6][0]+80,60,$pkt[6][2]+80,110);
	$pkt[8] = array($pkt[7][0]+80,60,$pkt[7][2]+80,110);
	
	$pkt[9] = array(90,140,140,190);
	$pkt[10] = array(170,140,220,190);
	
	$pkt[11] = array(490,140,540,190);
	$pkt[12] = array(580,140,630,190);	
	
	$pkt[13] = array(90,220,140,270);
	$pkt[14] = array(170,220,220,270);
	
	$pkt[15] = array(490,220,540,270);
	$pkt[16] = array(580,220,630,270);
	
	$pkt[17] = array(80,300,130,350);
	$pkt[18] = array($pkt[17][0]+80,300,$pkt[17][2]+80,350);
	$pkt[19] = array($pkt[18][0]+80,300,$pkt[18][2]+80,350);
	
	$pkt[20] = array(330,300,380,350);
	$pkt[21] = array($pkt[20][0]+90,300,$pkt[20][2]+90,350);
	$pkt[22] = array($pkt[21][0]+80,300,$pkt[21][2]+80,350);
	$pkt[23] = array($pkt[22][0]+80,300,$pkt[22][2]+80,350);
	
	$pkt[24] = array(305,170,405,230);	
	
	for($i=1;$i<=24;$i++)
	{
		$imgmap .= "<area shape=\"rect\" coords=\"".$pkt[$i][0].",".$pkt[$i][1].",".$pkt[$i][2].",".$pkt[$i][3]."\" href=\"advent.php?day=".$i."&sid=".$session['id']."\" alt=\"T&uuml;rchen Nummer ".$i."\">";
	}
	$Smarty->assign('imgmap', $imgmap);
	$page['content'] = $Smarty->fetch( 'adventskalender.tpl' );
	$Smarty->assign( 'page', $page );
	$Smarty->display( 'main_light.tpl' );
	die();
}

$Smarty->assign( 'page', $page );
$Smarty->display( 'main.tpl' );

?>